MultipleSequenceFileOutputFormat (Hadoop 1.2.1 API)
Date: 2013-07-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib
Class MultipleSequenceFileOutputFormat<K,V>

    java.lang.Object
      org.apache.hadoop.mapred.FileOutputFormat<K,V>
          org.apache.hadoop.mapred.lib.MultipleOutputFormat<K,V>
              org.apache.hadoop.mapred.lib.MultipleSequenceFileOutputFormat<K,V>

All Implemented Interfaces:
  OutputFormat<K,V>

    public class MultipleSequenceFileOutputFormat<K,V>

extends MultipleOutputFormat<K,V>

This class extends the MultipleOutputFormat, allowing to write the output data to different output files in sequence file output format.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapred.FileOutputFormat
`FileOutputFormat.Counter`

Constructor Summary
`MultipleSequenceFileOutputFormat()`

Method Summary
`protected RecordWriter<K,V>` | `getBaseRecordWriter(FileSystem fs, JobConf job, String name, Progressable arg3)`

Methods inherited from class org.apache.hadoop.mapred.lib.MultipleOutputFormat
`generateActualKey, generateActualValue, generateFileNameForKeyValue, generateLeafFileName, getInputFileBasedOutputFileName, getRecordWriter`

Methods inherited from class org.apache.hadoop.mapred.FileOutputFormat
`checkOutputSpecs, getCompressOutput, getOutputCompressorClass, getOutputPath, getPathForCustomFile, getTaskOutputPath, getUniqueName, getWorkOutputPath, setCompressOutput, setOutputCompressorClass, setOutputPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MultipleSequenceFileOutputFormat

    public MultipleSequenceFileOutputFormat()

Method Detail

### getBaseRecordWriter

    protected RecordWriter<K,V> getBaseRecordWriter(FileSystem fs,
                                                    JobConf job,
                                                    String name,
                                                    Progressable arg3)
                                             throws IOException

  Specified by:
    `getBaseRecordWriter` in class `MultipleOutputFormat<K,V>`
  Parameters:
    `fs` - the file system to use
    `job` - a job conf object
    `name` - the name of the file over which a record writer object will be constructed
    `arg3` - a progressable object
  Returns:
    A RecordWriter object over the given file
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation